
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author tmerclub
 * @date 2022-08-17 09:12:37
 */
public class SkuStockZone extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 分片id
     */
    private Long zoneId;

    /**
     * SKU ID
     */
    private Long skuId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 分片序号
     */
    private Integer zoneNo;

    /**
     * 库存
     */
    private Integer stock;

    /**
     * 锁定库存
     */
    private Integer lockStock;

    public Long getZoneId() {
        return zoneId;
    }

    public void setZoneId(Long zoneId) {
        this.zoneId = zoneId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getZoneNo() {
        return zoneNo;
    }

    public void setZoneNo(Integer zoneNo) {
        this.zoneNo = zoneNo;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public Integer getLockStock() {
        return lockStock;
    }

    public void setLockStock(Integer lockStock) {
        this.lockStock = lockStock;
    }

    @Override
    public String toString() {
        return "SkuStockZone{" +
                "zoneId=" + zoneId +
                ", skuId=" + skuId +
                ", spuId=" + spuId +
                ", zoneNo=" + zoneNo +
                ", stock=" + stock +
                ", lockStock=" + lockStock +
                '}';
    }
}
